> ## Documentation Index
> Fetch the complete documentation index at: https://docs.greetincs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Analysis Status

> Get analysis status with sub-analysis details.



## OpenAPI

````yaml /openapi-web.json get /v1/analyses/{analysis_id}/status
openapi: 3.1.0
info:
  title: GreetIncs API
  description: Analyze any business via API
  version: 0.1.0
servers: []
security: []
tags:
  - name: health
    x-displayName: Health
  - name: analyses
    x-displayName: Analyses
  - name: prompts
    x-displayName: Prompts
paths:
  /v1/analyses/{analysis_id}/status:
    get:
      tags:
        - analyses
      summary: Get Analysis Status
      description: Get analysis status with sub-analysis details.
      operationId: getAnalysisStatus
      parameters:
        - name: analysis_id
          in: path
          required: true
          schema:
            type: string
            description: Analysis ID in TypeID format
            title: Analysis Id
          description: Analysis ID in TypeID format
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__api__v1__analyses__schemas__AnalysisStatusResponse
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '422':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    app__api__v1__analyses__schemas__AnalysisStatusResponse:
      properties:
        response_type:
          type: string
          title: Response Type
          default: AnalysisStatusResponse
        data:
          $ref: >-
            #/components/schemas/app__api__v1__analyses__schemas__AnalysisStatusData
        links:
          items:
            $ref: '#/components/schemas/Link'
          type: array
          title: Links
          description: HATEOAS links related to this response (e.g., self, next, prev)
          default: []
          examples:
            - - href: /resource/{resource_id}
                method: GET
                rel: self
                title: Resource Details
              - href: /resource/{resource_id}/related
                method: GET
                rel: related
                title: Related Resources
      additionalProperties: false
      type: object
      required:
        - data
      title: AnalysisStatusResponse
      description: Response for analysis status endpoint.
    app__api__v1__analyses__schemas__AnalysisStatusData:
      properties:
        analysis:
          $ref: '#/components/schemas/AnalysisInfo'
        overview:
          $ref: '#/components/schemas/AnalysisOverviewData'
        details:
          $ref: '#/components/schemas/AnalysisDetailsData'
      type: object
      required:
        - analysis
        - overview
        - details
      title: AnalysisStatusData
      description: Analysis status data with new structure.
    Link:
      properties:
        href:
          type: string
          title: Href
          description: The URL of the linked resource
        rel:
          type: string
          title: Rel
          description: The relationship type (e.g., 'self', 'next')
        method:
          type: string
          title: Method
          description: The HTTP method (e.g., 'GET', 'POST')
          default: GET
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Optional human-readable title
      type: object
      required:
        - href
        - rel
      title: Link
    AnalysisInfo:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        owner_id:
          type: string
          title: Owner Id
        created_at:
          type: integer
          title: Created At
        started_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Started At
      type: object
      required:
        - id
        - name
        - owner_id
        - created_at
      title: AnalysisInfo
      description: Complete analysis information without prompts or results.
    AnalysisOverviewData:
      properties:
        analysis_status:
          type: string
          title: Analysis Status
        percentage:
          type: integer
          title: Percentage
        sub_analyses_counts:
          $ref: '#/components/schemas/AnalysisStatusCountsData'
      type: object
      required:
        - analysis_status
        - percentage
        - sub_analyses_counts
      title: AnalysisOverviewData
      description: Overview information for analysis status.
    AnalysisDetailsData:
      properties:
        pending:
          items:
            $ref: '#/components/schemas/SubAnalysisStatusDetailData'
          type: array
          title: Pending
        queued:
          items:
            $ref: '#/components/schemas/SubAnalysisStatusDetailData'
          type: array
          title: Queued
        in_progress:
          items:
            $ref: '#/components/schemas/SubAnalysisStatusDetailData'
          type: array
          title: In Progress
        completed:
          items:
            $ref: '#/components/schemas/SubAnalysisStatusDetailData'
          type: array
          title: Completed
        problem:
          items:
            $ref: '#/components/schemas/SubAnalysisStatusDetailData'
          type: array
          title: Problem
        failed:
          items:
            $ref: '#/components/schemas/SubAnalysisStatusDetailData'
          type: array
          title: Failed
        skipped:
          items:
            $ref: '#/components/schemas/SubAnalysisStatusDetailData'
          type: array
          title: Skipped
      type: object
      required:
        - pending
        - queued
        - in_progress
        - completed
        - problem
        - failed
        - skipped
      title: AnalysisDetailsData
      description: Details organized by status categories.
    AnalysisStatusCountsData:
      properties:
        total:
          type: integer
          title: Total
        pending:
          type: integer
          title: Pending
        queued:
          type: integer
          title: Queued
        in_progress:
          type: integer
          title: In Progress
        completed:
          type: integer
          title: Completed
        problem:
          type: integer
          title: Problem
        failed:
          type: integer
          title: Failed
        skipped:
          type: integer
          title: Skipped
      type: object
      required:
        - total
        - pending
        - queued
        - in_progress
        - completed
        - problem
        - failed
        - skipped
      title: AnalysisStatusCountsData
      description: Detailed status counts for analysis.
    SubAnalysisStatusDetailData:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        status_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Message
      type: object
      required:
        - id
        - url
      title: SubAnalysisStatusDetailData
      description: Status detail data of a sub-analysis.
  responses:
    BadRequest:
      description: Request Validation Error
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for validation errors.
                properties:
                  title:
                    default: Request Validation Error
                    title: Title
                    type: string
                  status:
                    default: 422
                    title: Status
                    type: integer
                  detail:
                    default: Request validation failed
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: ValidationError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    Unauthorized:
      description: Unauthorized
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for authentication errors.
                properties:
                  title:
                    default: Unauthorized
                    title: Title
                    type: string
                  status:
                    default: 401
                    title: Status
                    type: integer
                  detail:
                    default: Authentication required
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: UnauthorizedError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    PaymentRequired:
      description: Payment Required
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for payment required errors.
                properties:
                  title:
                    default: Payment Required
                    title: Title
                    type: string
                  status:
                    default: 402
                    title: Status
                    type: integer
                  detail:
                    default: Payment required
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: PaymentRequiredError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    Forbidden:
      description: Forbidden
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for authorization errors.
                properties:
                  title:
                    default: Forbidden
                    title: Title
                    type: string
                  status:
                    default: 403
                    title: Status
                    type: integer
                  detail:
                    default: Access forbidden
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: ForbiddenError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    NotFound:
      description: Not Found
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for resource not found errors.
                properties:
                  title:
                    default: Not Found
                    title: Title
                    type: string
                  status:
                    default: 404
                    title: Status
                    type: integer
                  detail:
                    default: Resource not found
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: NotFoundError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    InternalServerError:
      description: Internal Server Error
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for internal server errors.
                properties:
                  title:
                    default: Internal Server Error
                    title: Title
                    type: string
                  status:
                    default: 500
                    title: Status
                    type: integer
                  detail:
                    default: Internal server error
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: InternalServerError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API Key for external integrations (format: greetincs_...)'

````